---
layout: commands
page_title: 'Commands: ACL Role Delete'
description: |
  The `consul acl role delete` command deletes the ACL role of the specified ID or name.
---

# Consul ACL Role Delete

Command: `consul acl role delete`

Corresponding HTTP API Endpoint: [\[DELETE\] /v1/acl/role/:id](/consul/api-docs/acl/roles#delete-a-role)

The `acl role delete` command deletes a role. Roles may be deleted by their ID or by name.

The table below shows this command's [required ACLs](/consul/api-docs/api-structure#authentication). Configuration of
[blocking queries](/consul/api-docs/features/blocking) and [agent caching](/consul/api-docs/features/caching)
are not supported from commands, but may be from the corresponding HTTP endpoint.

| ACL Required |
| ------------ |
| `acl:write`  |

## Usage

Usage: `consul acl role delete [options]`

#### Command Options

- `-id=<string>` - The ID of the role to delete. It may be specified as a
  unique ID prefix but will error if the prefix matches multiple role IDs.

- `-name=<string>` - The Name of the role to delete.

#### Enterprise Options

@include 'http_api_partition_options.mdx'

@include 'http_api_namespace_options.mdx'

#### API Options

@include 'http_api_options_client.mdx'

@include 'http_api_options_server.mdx'

## Examples

Delete a role by prefix:

```shell-session
$ consul acl role delete -id 57147
Role "57147d87-6bf7-f794-1a6e-7d038c4e4ae9" deleted successfully
```

Delete a role by name:

```shell-session
$ consul acl role delete -name crawler
Role "a365fdc9-ac71-e754-0645-7ab6bd747301" deleted successfully
```
